﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;
using System.Collections;

namespace DummyGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xamComboEditor1.DataContext = PlayerCollection.plist;
           
        }
    }

    public class PlayerCollection
    {
        public static List<Player> plist
        {
            get
            {
                List<Player> list = new List<Player>();
                list.Add(new Player() { FirstName = "a", LastName = "b", PlayerNumber = 2, Position = 3 });
                list.Add(new Player() { FirstName = "a", LastName = "b", PlayerNumber = 2, Position = 3 });
                list.Add(new Player() { FirstName = "a", LastName = "b", PlayerNumber = 2, Position = 3 });
                return list;
            }
        }
    }

    public class Player
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int PlayerNumber { get; set; }
        public int Position { get; set; }
    }

    public class SingleConv : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                Player p = value as Player;
                StringBuilder sb = new StringBuilder();
                sb.AppendFormat("{0} - {1}, {2} ({3})", p.PlayerNumber,p.LastName,p.FirstName,p.Position);
                return sb.ToString();
            }
            return Binding.DoNothing;
            
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


}
